com.taosdata.jdbc.ws.stmt2.entity

## Class PstmtConInfo

- java.lang.Object
- - com.taosdata.jdbc.ws.stmt2.entity.PstmtConInfo

    public class PstmtConInfo
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PstmtConInfo(Transport transport, ConnectionParam param, String database, AbstractConnection connection, Long instanceId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AbstractConnection` `getConnection()`
`String` `getDatabase()`
`Long` `getInstanceId()`
`ConnectionParam` `getParam()`
`Transport` `getTransport()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PstmtConInfo

    public PstmtConInfo(Transport transport,
                        ConnectionParam param,
                        String database,
                        AbstractConnection connection,
                        Long instanceId)

### Method Detail

#### getTransport

    public Transport getTransport()

#### getParam

    public ConnectionParam getParam()

#### getDatabase

    public String getDatabase()

#### getConnection

    public AbstractConnection getConnection()

#### getInstanceId

    public Long getInstanceId()